Eclipse Platform Release 3.7

## org.eclipse.jface.text.source
Interface IVerticalRulerColumn

All Known Subinterfaces:
  IChangeRulerColumn, IContributedRulerColumn, IRevisionRulerColumn

All Known Implementing Classes:
  AbstractContributedRulerColumn, AbstractRulerColumn, AnnotationColumn, AnnotationRulerColumn, ChangeRulerColumn, LineNumberChangeRulerColumn, LineNumberRulerColumn

    public interface IVerticalRulerColumn

A vertical ruler column is an element that can be added to a composite vertical ruler (`CompositeRuler`). A composite vertical ruler is a vertical ruler with dynamically changing appearance and behavior depending on its actual arrangement of ruler columns. A vertical ruler column supports a subset of the contract of a vertical ruler.

Since:
  2.0
See Also:
  `CompositeRuler`

Method Summary
`Control` `createControl(CompositeRuler parentRuler, Composite parentControl)` Creates the column's SWT control.
`Control` `getControl()` Returns the column's SWT control.
`int` `getWidth()` Returns the width of this column's control.
`void` `redraw()` Redraws this column.
`void` `setFont(Font font)` Sets the font of this ruler column.
`void` `setModel(IAnnotationModel model)` Associates an annotation model with this ruler column.

Method Detail

### setModel

    void setModel(IAnnotationModel model)

  Associates an annotation model with this ruler column. A value `null` is acceptable and clears the ruler.

  Parameters:
    `model` - the new annotation model, may be `null`

### redraw

    void redraw()

  Redraws this column.

### createControl

    Control createControl(CompositeRuler parentRuler,
                          Composite parentControl)

  Creates the column's SWT control.

  Parameters:
    `parentRuler` - the parent ruler of this column
    `parentControl` - the control of the parent ruler
  Returns:
    the column's SWT control

### getControl

    Control getControl()

  Returns the column's SWT control.

  Returns:
    the column's SWT control

### getWidth

    int getWidth()

  Returns the width of this column's control.

  Returns:
    the width of this column's control

### setFont

    void setFont(Font font)

  Sets the font of this ruler column.

  Parameters:
    `font` - the new font of the ruler column

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.